xcmsRaw {xcms} | R Documentation

## Constructor for xcmsRaw objects which reads NetCDF/mzXML files

### Description

This function handles the task of reading a NetCDF/mzXML file containing LC/MS or GC/MS data into a new `xcmsRaw` object. It also transforms the data into profile (maxrix) mode for efficient plotting and data exploration.

### Usage

    xcmsRaw(filename, profstep = 1, profmethod = "intlin", profparam =
    list(), includeMSn=FALSE)

### Arguments

`filename` | path name of the NetCDF or mzXML file to read
`profstep` | step size (in m/z) to use for profile generation
`profmethod` | method to use for profile generation
`profparam` | extra parameters to use for profile generation
`includeMSn` | only for XML file formats: also read MS$^n$ (Tandem-MS of Ion-/Orbi- Trap spectra)

### Details

If `profstep` is set to 0, no profile matrix is generated. Unless includeMSn=TRUE only first level MS data is read, not MS/MS, etc.)

### Value

A `xcmsRaw` object.

### Author(s)

Colin A. Smith, csmith@scripps.edu

### References

NetCDF file format: http://my.unidata.ucar.edu/content/software/netcdf/ http://www.astm.org/Standards/E2077.htm http://www.astm.org/Standards/E2078.htm

mzXML file format: http://sashimi.sourceforge.net/software_glossolalia.html

PSI-MS working group who developed mzData and mzML file formats: http://www.psidev.info/index.php?q=node/80

Parser used for XML file formats: http://tools.proteomecenter.org/wiki/index.php?title=Software:RAMP

### See Also

`xcmsRaw-class`, `profStep`, `profMethod` `xcmsFragments`

[Package xcms version 1.16.3 Index]